package com.jxml.quick.util.qjmlExpand;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCItem extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object coin)
		throws SAXException, IOException
	{
		QMItem dm=(QMItem)dataModel;
		Counter.SubCounter subCounter=(Counter.SubCounter)context;

		subCounter.addIDAttribute(this);
		addStringAttribute("label",dm.label);
		addStringAttribute("coin",dm.coinName);
		addStringAttribute("schema",dm.schema);
		addBooleanAttribute("optional",dm.optional);
		addBooleanAttribute("repeating",dm.repeating);
		addStringAttribute("value",dm.value);

		startElement("item");

		doCvt(dm.remList,null);
		doCvt(dm.access,coin);

		endElement("item");
	}
}
